org.apache.myfaces.trinidad.component.core.layout

## Class CorePanelPopup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXPanel
        - - org.apache.myfaces.trinidad.component.core.layout.CorePanelPopup

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public class CorePanelPopup
      extends UIXPanel

  The panelPopup is used to place ancillary information on a page, made visible via a clickable link (e.g icon or link). The text attribute or 'trigger' facet is used to define the clickable area of the page. When clicked a floating panel is made visible containing the child components. If the title attribute is present, then a title bar (including the title) will be rendered for the popup panel. The position attribute of popupPanel can be used to control the location of the panel when visible. You can make changes to the style of the content region of this component by adding your custom styles to the contentStyle attribute. Content containers will generally have only one child with the actual contents as its children. This child will describe how the content should be displayed. However, the content container can have multiple children, in which case the children are displayed in a stack fashion, lined up vertically.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change events might include the width of a column that supported client-side resizing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `CONTENT_STYLE_KEY`
    `static PropertyKey` | `HEIGHT_KEY`
    `static PropertyKey` | `ICON_KEY`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static PropertyKey` | `MODAL_KEY`
    `static PropertyKey` | `ONCLICK_KEY`
    `static PropertyKey` | `ONDBLCLICK_KEY`
    `static PropertyKey` | `ONKEYDOWN_KEY`
    `static PropertyKey` | `ONKEYPRESS_KEY`
    `static PropertyKey` | `ONKEYUP_KEY`
    `static PropertyKey` | `ONMOUSEDOWN_KEY`
    `static PropertyKey` | `ONMOUSEMOVE_KEY`
    `static PropertyKey` | `ONMOUSEOUT_KEY`
    `static PropertyKey` | `ONMOUSEOVER_KEY`
    `static PropertyKey` | `ONMOUSEUP_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static String` | `POSITION_CENTERED`
    `static PropertyKey` | `POSITION_KEY`
    `static String` | `POSITION_RELATIVE`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static PropertyKey` | `TEXT_KEY`
    `static PropertyKey` | `TITLE_KEY`
    `static String` | `TRIGGER_FACET`
    `static String` | `TRIGGER_TYPE_CLICK`
    `static String` | `TRIGGER_TYPE_HOVER`
    `static PropertyKey` | `TRIGGER_TYPE_KEY`
    `static FacesBean.Type` | `TYPE`
    `static PropertyKey` | `WIDTH_KEY`
    `static PropertyKey` | `XOFFSET_KEY`
    `static PropertyKey` | `YOFFSET_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CorePanelPopup()` Construct an instance of the CorePanelPopup.
    `protected` | `CorePanelPopup(String rendererType)` Construct an instance of the CorePanelPopup.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getContentStyle()` Gets The inline style of the content region.
    `String` | `getFamily()`
    `int` | `getHeight()` Gets Set the height of the popup.
    `String` | `getIcon()` Gets The icon to render as a link to launch the popup panel.
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `String` | `getOnclick()` Gets an onclick Javascript handler.
    `String` | `getOndblclick()` Gets an ondblclick Javascript handler.
    `String` | `getOnkeydown()` Gets an onkeydown Javascript handler.
    `String` | `getOnkeypress()` Gets an onkeypress Javascript handler.
    `String` | `getOnkeyup()` Gets an onkeyup Javascript handler.
    `String` | `getOnmousedown()` Gets an onmousedown Javascript handler.
    `String` | `getOnmousemove()` Gets an onmousemove Javascript handler.
    `String` | `getOnmouseout()` Gets an onmouseout Javascript handler.
    `String` | `getOnmouseover()` Gets an onmouseover Javascript handler.
    `String` | `getOnmouseup()` Gets an onmouseup Javascript handler.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getPosition()` Gets The position of the content container when visible.
    `String` | `getShortDesc()` Gets The short description of the component.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `String` | `getText()` Gets The text to render as a link to launch the popup panel.
    `String` | `getTitle()` Gets The title of the panel when visible.
    `javax.faces.component.UIComponent` | `getTrigger()` Content to be rendered as a link to launch the popup panel.
    `String` | `getTriggerType()` Gets Defines the launch behaviour of the popup.
    `int` | `getWidth()` Gets Set the width of the popup.
    `int` | `getXoffset()` Gets The popup's horizontal offset in pixels from the current mouse position.
    `int` | `getYoffset()` Gets The popup's vertical offset in pixels from the current mouse position.
    `boolean` | `isModal()` Gets The display mode of the panel.
    `void` | `setContentStyle(String contentStyle)` Sets The inline style of the content region.
    `void` | `setHeight(int height)` Sets Set the height of the popup.
    `void` | `setIcon(String icon)` Sets The icon to render as a link to launch the popup panel.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setModal(boolean modal)` Sets The display mode of the panel.
    `void` | `setOnclick(String onclick)` Sets an onclick Javascript handler.
    `void` | `setOndblclick(String ondblclick)` Sets an ondblclick Javascript handler.
    `void` | `setOnkeydown(String onkeydown)` Sets an onkeydown Javascript handler.
    `void` | `setOnkeypress(String onkeypress)` Sets an onkeypress Javascript handler.
    `void` | `setOnkeyup(String onkeyup)` Sets an onkeyup Javascript handler.
    `void` | `setOnmousedown(String onmousedown)` Sets an onmousedown Javascript handler.
    `void` | `setOnmousemove(String onmousemove)` Sets an onmousemove Javascript handler.
    `void` | `setOnmouseout(String onmouseout)` Sets an onmouseout Javascript handler.
    `void` | `setOnmouseover(String onmouseover)` Sets an onmouseover Javascript handler.
    `void` | `setOnmouseup(String onmouseup)` Sets an onmouseup Javascript handler.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setPosition(String position)` Sets The position of the content container when visible.
    `void` | `setShortDesc(String shortDesc)` Sets The short description of the component.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setText(String text)` Sets The text to render as a link to launch the popup panel.
    `void` | `setTitle(String title)` Sets The title of the panel when visible.
    `void` | `setTrigger(javax.faces.component.UIComponent triggerFacet)` Content to be rendered as a link to launch the popup panel.
    `void` | `setTriggerType(String triggerType)` Sets Defines the launch behaviour of the popup.
    `void` | `setWidth(int width)` Sets Set the width of the popup.
    `void` | `setXoffset(int xoffset)` Sets The popup's horizontal offset in pixels from the current mouse position.
    `void` | `setYoffset(int yoffset)` Sets The popup's vertical offset in pixels from the current mouse position.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getParent, getProperty, getPropertyKey, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setValueBinding, setValueExpression, toString, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, clearCachedClientIds, clearCachedClientIds, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TRIGGER_TYPE_CLICK

          public static final String TRIGGER_TYPE_CLICK

      See Also:
        Constant Field Values

    - #### TRIGGER_TYPE_HOVER

          public static final String TRIGGER_TYPE_HOVER

      See Also:
        Constant Field Values

    - #### POSITION_RELATIVE

          public static final String POSITION_RELATIVE

      See Also:
        Constant Field Values

    - #### POSITION_CENTERED

          public static final String POSITION_CENTERED

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### ONCLICK_KEY

          public static final PropertyKey ONCLICK_KEY

    - #### ONDBLCLICK_KEY

          public static final PropertyKey ONDBLCLICK_KEY

    - #### ONMOUSEDOWN_KEY

          public static final PropertyKey ONMOUSEDOWN_KEY

    - #### ONMOUSEUP_KEY

          public static final PropertyKey ONMOUSEUP_KEY

    - #### ONMOUSEOVER_KEY

          public static final PropertyKey ONMOUSEOVER_KEY

    - #### ONMOUSEMOVE_KEY

          public static final PropertyKey ONMOUSEMOVE_KEY

    - #### ONMOUSEOUT_KEY

          public static final PropertyKey ONMOUSEOUT_KEY

    - #### ONKEYPRESS_KEY

          public static final PropertyKey ONKEYPRESS_KEY

    - #### ONKEYDOWN_KEY

          public static final PropertyKey ONKEYDOWN_KEY

    - #### ONKEYUP_KEY

          public static final PropertyKey ONKEYUP_KEY

    - #### TRIGGER_TYPE_KEY

          public static final PropertyKey TRIGGER_TYPE_KEY

    - #### ICON_KEY

          public static final PropertyKey ICON_KEY

    - #### TEXT_KEY

          public static final PropertyKey TEXT_KEY

    - #### TITLE_KEY

          public static final PropertyKey TITLE_KEY

    - #### MODAL_KEY

          public static final PropertyKey MODAL_KEY

    - #### POSITION_KEY

          public static final PropertyKey POSITION_KEY

    - #### XOFFSET_KEY

          public static final PropertyKey XOFFSET_KEY

    - #### YOFFSET_KEY

          public static final PropertyKey YOFFSET_KEY

    - #### CONTENT_STYLE_KEY

          public static final PropertyKey CONTENT_STYLE_KEY

    - #### WIDTH_KEY

          public static final PropertyKey WIDTH_KEY

    - #### HEIGHT_KEY

          public static final PropertyKey HEIGHT_KEY

    - #### TRIGGER_FACET

          public static final String TRIGGER_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CorePanelPopup

          public CorePanelPopup()

      Construct an instance of the CorePanelPopup.

    - #### CorePanelPopup

          protected CorePanelPopup(String rendererType)

      Construct an instance of the CorePanelPopup.

  - ### Method Detail

    - #### getTrigger

          public final javax.faces.component.UIComponent getTrigger()

      Content to be rendered as a link to launch the popup panel. Use this facet to define an icon or other content types to launch the popup. If this facet is not defined, then the 'text' attribute must be specified.

    - #### setTrigger

          public final void setTrigger(javax.faces.component.UIComponent triggerFacet)

      Content to be rendered as a link to launch the popup panel. Use this facet to define an icon or other content types to launch the popup. If this facet is not defined, then the 'text' attribute must be specified.

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getOnclick

          public final String getOnclick()

      Gets an onclick Javascript handler.
      Returns:
        the new onclick value

    - #### setOnclick

          public final void setOnclick(String onclick)

      Sets an onclick Javascript handler.
      Parameters:
        `onclick` - the new onclick value

    - #### getOndblclick

          public final String getOndblclick()

      Gets an ondblclick Javascript handler.
      Returns:
        the new ondblclick value

    - #### setOndblclick

          public final void setOndblclick(String ondblclick)

      Sets an ondblclick Javascript handler.
      Parameters:
        `ondblclick` - the new ondblclick value

    - #### getOnmousedown

          public final String getOnmousedown()

      Gets an onmousedown Javascript handler.
      Returns:
        the new onmousedown value

    - #### setOnmousedown

          public final void setOnmousedown(String onmousedown)

      Sets an onmousedown Javascript handler.
      Parameters:
        `onmousedown` - the new onmousedown value

    - #### getOnmouseup

          public final String getOnmouseup()

      Gets an onmouseup Javascript handler.
      Returns:
        the new onmouseup value

    - #### setOnmouseup

          public final void setOnmouseup(String onmouseup)

      Sets an onmouseup Javascript handler.
      Parameters:
        `onmouseup` - the new onmouseup value

    - #### getOnmouseover

          public final String getOnmouseover()

      Gets an onmouseover Javascript handler.
      Returns:
        the new onmouseover value

    - #### setOnmouseover

          public final void setOnmouseover(String onmouseover)

      Sets an onmouseover Javascript handler.
      Parameters:
        `onmouseover` - the new onmouseover value

    - #### getOnmousemove

          public final String getOnmousemove()

      Gets an onmousemove Javascript handler.
      Returns:
        the new onmousemove value

    - #### setOnmousemove

          public final void setOnmousemove(String onmousemove)

      Sets an onmousemove Javascript handler.
      Parameters:
        `onmousemove` - the new onmousemove value

    - #### getOnmouseout

          public final String getOnmouseout()

      Gets an onmouseout Javascript handler.
      Returns:
        the new onmouseout value

    - #### setOnmouseout

          public final void setOnmouseout(String onmouseout)

      Sets an onmouseout Javascript handler.
      Parameters:
        `onmouseout` - the new onmouseout value

    - #### getOnkeypress

          public final String getOnkeypress()

      Gets an onkeypress Javascript handler.
      Returns:
        the new onkeypress value

    - #### setOnkeypress

          public final void setOnkeypress(String onkeypress)

      Sets an onkeypress Javascript handler.
      Parameters:
        `onkeypress` - the new onkeypress value

    - #### getOnkeydown

          public final String getOnkeydown()

      Gets an onkeydown Javascript handler.
      Returns:
        the new onkeydown value

    - #### setOnkeydown

          public final void setOnkeydown(String onkeydown)

      Sets an onkeydown Javascript handler.
      Parameters:
        `onkeydown` - the new onkeydown value

    - #### getOnkeyup

          public final String getOnkeyup()

      Gets an onkeyup Javascript handler.
      Returns:
        the new onkeyup value

    - #### setOnkeyup

          public final void setOnkeyup(String onkeyup)

      Sets an onkeyup Javascript handler.
      Parameters:
        `onkeyup` - the new onkeyup value

    - #### getTriggerType

          public final String getTriggerType()

      Gets Defines the launch behaviour of the popup. If set to 'click' the popup will appear when the trigger is clicked, and disappear when you click off the popup. The 'hover' value will cause the popup to appear while the mouse is over the trigger, and disappear when the mouse leaves either the trigger or the popup panel.
      Returns:
        the new triggerType value

    - #### setTriggerType

          public final void setTriggerType(String triggerType)

      Sets Defines the launch behaviour of the popup. If set to 'click' the popup will appear when the trigger is clicked, and disappear when you click off the popup. The 'hover' value will cause the popup to appear while the mouse is over the trigger, and disappear when the mouse leaves either the trigger or the popup panel.
      Parameters:
        `triggerType` - the new triggerType value

    - #### getIcon

          public final String getIcon()

      Gets The icon to render as a link to launch the popup panel. If the 'trigger' facet is defined, then this attribute is ignored. If the 'text' attribute is also specified, then the icon and text will both be rendered.
      Returns:
        the new icon value

    - #### setIcon

          public final void setIcon(String icon)

      Sets The icon to render as a link to launch the popup panel. If the 'trigger' facet is defined, then this attribute is ignored. If the 'text' attribute is also specified, then the icon and text will both be rendered.
      Parameters:
        `icon` - the new icon value

    - #### getText

          public final String getText()

      Gets The text to render as a link to launch the popup panel. If the 'trigger' facet is defined, then this attribute is ignored.
      Returns:
        the new text value

    - #### setText

          public final void setText(String text)

      Sets The text to render as a link to launch the popup panel. If the 'trigger' facet is defined, then this attribute is ignored.
      Parameters:
        `text` - the new text value

    - #### getTitle

          public final String getTitle()

      Gets The title of the panel when visible. The titlebar is not rendered if this attribute is not specified.
      Returns:
        the new title value

    - #### setTitle

          public final void setTitle(String title)

      Sets The title of the panel when visible. The titlebar is not rendered if this attribute is not specified.
      Parameters:
        `title` - the new title value

    - #### isModal

          public final boolean isModal()

      Gets The display mode of the panel. Defaults to "false" (non-modal). Non-Modal panels will close when the user clicks off the panel. Modal popups are rendered with a titlebar and close icon. Clicking the close icon will close the modal popup.
      Returns:
        the new modal value

    - #### setModal

          public final void setModal(boolean modal)

      Sets The display mode of the panel. Defaults to "false" (non-modal). Non-Modal panels will close when the user clicks off the panel. Modal popups are rendered with a titlebar and close icon. Clicking the close icon will close the modal popup.
      Parameters:
        `modal` - the new modal value

    - #### getPosition

          public final String getPosition()

      Gets The position of the content container when visible. Defaults to "relative" if not specified. Other values are "centered" (centered on screen).
      Returns:
        the new position value

    - #### setPosition

          public final void setPosition(String position)

      Sets The position of the content container when visible. Defaults to "relative" if not specified. Other values are "centered" (centered on screen).
      Parameters:
        `position` - the new position value

    - #### getXoffset

          public final int getXoffset()

      Gets The popup's horizontal offset in pixels from the current mouse position. This property only applies to popups using relative positioning.
      Returns:
        the new xoffset value

    - #### setXoffset

          public final void setXoffset(int xoffset)

      Sets The popup's horizontal offset in pixels from the current mouse position. This property only applies to popups using relative positioning.
      Parameters:
        `xoffset` - the new xoffset value

    - #### getYoffset

          public final int getYoffset()

      Gets The popup's vertical offset in pixels from the current mouse position. This property only applies to popups using relative positioning.
      Returns:
        the new yoffset value

    - #### setYoffset

          public final void setYoffset(int yoffset)

      Sets The popup's vertical offset in pixels from the current mouse position. This property only applies to popups using relative positioning.
      Parameters:
        `yoffset` - the new yoffset value

    - #### getContentStyle

          public final String getContentStyle()

      Gets The inline style of the content region.
      Returns:
        the new contentStyle value

    - #### setContentStyle

          public final void setContentStyle(String contentStyle)

      Sets The inline style of the content region.
      Parameters:
        `contentStyle` - the new contentStyle value

    - #### getWidth

          public final int getWidth()

      Gets Set the width of the popup. If not present the width defaults to the width of the content.
      Returns:
        the new width value

    - #### setWidth

          public final void setWidth(int width)

      Sets Set the width of the popup. If not present the width defaults to the width of the content.
      Parameters:
        `width` - the new width value

    - #### getHeight

          public final int getHeight()

      Gets Set the height of the popup. If not present the width defaults to the height of the content.
      Returns:
        the new height value

    - #### setHeight

          public final void setHeight(int height)

      Sets Set the height of the popup. If not present the width defaults to the height of the content.
      Parameters:
        `height` - the new height value

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXPanel`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXPanel`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.